## NAME

v.out.svg - Exports a vector map to SVG file.

## KEYWORDS

vector, export, output

## SYNOPSIS

v.out.svg
v.out.svg --help
v.out.svg input=name [layer=string] output=name type=string [precision=integer] [attribute=name[,name,...]] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
layer=string
  Layer number or name ('-1' for all layers)
  A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
  Default: -1
output=name [required]
  Name for SVG output file
type=string [required]
  Output type
  Defines which feature-type will be extracted
  Options: poly, line, point
  Default: poly
precision=integer
  Coordinate precision
  Default: 6
attribute=name[,name,...]
  Attribute(s) to include in output SVG

## DESCRIPTION

v.out.svg converts GRASS vector data to SVG (Scalable Vector Graphics) code notation. In particular, it

- converts GRASS line, boundary, area, point, centroid objects to SVG <path />, <circle /> elements,
- reduces coordinate precision in SVG-output to save bandwidth,
- extracts GRASS attributes to gg:name="value" attributes.

The precision parameter controls the number of decimals for coordinates output (precision=0 corresponds to integer precision in the output SVG file).

## EXAMPLE

Export polygons from GRASS vector map soils (Spearfish sample data) to SVG format:

    v.out.svg input=soils output=/tmp/output.svg type=poly

Export lines from GRASS vector map t_hydro (Spearfish sample data) to SVG format, set coordinate precision to 0:

    v.out.svg input=t_hydro output=/tmp/output.svg type=line precision=0

Export points from GRASS vector map archsites (Spearfish sample data) to SVG format, include attribute str1 (name):

    v.out.svg input=archsites output=/tmp/output.svg type=point precision=0 attrib=str1

## REFERENCES

- Module v.out.svg at svg.cc
- SVG (Scalable Vector Graphics) at w3c.org

## SEE ALSO

v.out.ogr

## AUTHOR

Klaus Foerster (klaus svg.cc), Innsbruck, Austria

## SOURCE CODE

Available at: v.out.svg source code (history)

Latest change: Thursday Oct 10 20:41:09 2024 in commit: def7a1af728ed34f459f5fe474fab4657f5d277e

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual